#!/usr/bin/env python
#
#    Copyright (C) 2003-2005  James Tauber
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

## Leonardo main CGI script

import cgitb; cgitb.enable()

from os.path import join, dirname, abspath

# location of leonardo modules (full path to leonardo lib directory)
# the following is just to get you started - you'll probably want to change it
# to the literal path
leonardo_lib = abspath(join(dirname(__file__), "../lib"))

# location of main configuration file for this instance
main_config = join(dirname(__file__), "leonardo.config")

import sys; sys.path.append(leonardo_lib)

import config
import core

leonardo = core.Leonardo(config.Configurator(main_config))

leonardo.dispatch()